Difference between revisions of "Talk:FreeLink for the LinkStation PRO/LIVE"

From NAS-Central Buffalo - The Linkstation Wiki
Jump to: navigation, search
(Linkstation Live 500GB Gigabit version 2 confusion)
(Update of the Debian repository and packages: new section)
Line 14: Line 14:
  
 
In the end I used firmware 2.10 as my basis, exchanged the relevant packages with the ones from Freelink and got on with it. A few very sweaty moments with the device rebooting at least three times and flashing on all diodes resulted in a a successful install of Debian. Thanks! [[User:Refdoc|Refdoc]] 08:09, 28 March 2008 (CDT)
 
In the end I used firmware 2.10 as my basis, exchanged the relevant packages with the ones from Freelink and got on with it. A few very sweaty moments with the device rebooting at least three times and flashing on all diodes resulted in a a successful install of Debian. Thanks! [[User:Refdoc|Refdoc]] 08:09, 28 March 2008 (CDT)
 +
 +
== Update of the Debian repository and packages ==
 +
 +
Very great text, but I fear there are two things which could confuse beginners. Within the update the message "Configuration file `/etc/init.d/networking' ==> Modified (by you or by a script) since installation. ==> Package distributor has shipped an updated version. ..." appear, one sentence about this would be nice. The other thing is the line "aptitude unhold udev", should the user enter this command or not?

Revision as of 23:36, 21 December 2008

In FreeLink_arm9-1.0rev2.zip, some of the permissions in /usr/bin are 766. This is how I fixed it:

find /usr/bin -type f -perm -g+w,-o+w -exec chown root.root {} \;
find /usr/bin -type f -perm -g+w,-o+w -exec chmod 555 {} \;

Are differences between the V1 and V2 Linkstation Live stated correct?

I should have the Linkstation Live Old hardware when comparing my device to the pictures on the site. Although, when I did the install of FreeLink, the instructions for the newer hardware worked better ("Installation on V2 (NEW hardware) LS LIVE (running 2.06 Buffalo firmware) using LSUpdater"). The instructions for the older (v1) Linkstation Live just caused the Linkstations firmware to corrupt. Before flashing, I had the firmware version 2.06 installed.

Linkstation Live 500GB Gigabit version 2 confusion

Some confusion when I looked at my Linkstation up close before I went ahead with it.

Despite being a version 2 Linkstation Live the device had firmware 1.06 - and not 2.06 as expected. Or at least this is what it said on the status pages in the link station.

In the end I used firmware 2.10 as my basis, exchanged the relevant packages with the ones from Freelink and got on with it. A few very sweaty moments with the device rebooting at least three times and flashing on all diodes resulted in a a successful install of Debian. Thanks! Refdoc 08:09, 28 March 2008 (CDT)

Update of the Debian repository and packages

Very great text, but I fear there are two things which could confuse beginners. Within the update the message "Configuration file `/etc/init.d/networking' ==> Modified (by you or by a script) since installation. ==> Package distributor has shipped an updated version. ..." appear, one sentence about this would be nice. The other thing is the line "aptitude unhold udev", should the user enter this command or not?